src/Entity/Property.php
<?php

namespace App\Entity;

use App\Repository\PropertyRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: PropertyRepository::class)]
class Property
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\Column(nullable: true)]
    private ?int $house = null;

    #[ORM\Column]
    private ?float $rent = null;

    #[ORM\Column]
    private ?float $rent1 = null;

    #[ORM\Column]
    private ?float $rent2 = null;

    #[ORM\Column]
    private ?float $rent3 = null;

    #[ORM\Column]
    private ?float $rent4 = null;

    #[ORM\Column]
    private ?float $mortgage = null;

    #[ORM\Column(length: 255)]
    private ?string $color = null;

    #[ORM\ManyToOne(inversedBy: 'properties')]
    private ?Player $player = null;

    #[ORM\OneToOne(mappedBy: 'property', cascade: ['persist'])]
    private ?Cases $cases = null;

    #[ORM\Column(nullable: true)]
    private ?float $rent5 = null;

    #[ORM\Column]
    private ?float $price_house = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getHouse(): ?int
    {
        return $this->house;
    }

    public function setHouse(?int $house): self
    {
        $this->house = $house;

        return $this;
    }

    public function getRent(): ?float
    {
        return $this->rent;
    }

    public function setRent(float $rent): self
    {
        $this->rent = $rent;

        return $this;
    }

    public function getRent1(): ?float
    {
        return $this->rent1;
    }

    public function setRent1(float $rent1): self
    {
        $this->rent1 = $rent1;

        return $this;
    }

    public function getRent2(): ?float
    {
        return $this->rent2;
    }

    public function setRent2(float $rent2): self
    {
        $this->rent2 = $rent2;

        return $this;
    }

    public function getRent3(): ?float
    {
        return $this->rent3;
    }

    public function setRent3(float $rent3): self
    {
        $this->rent3 = $rent3;

        return $this;
    }

    public function getRent4(): ?float
    {
        return $this->rent4;
    }

    public function setRent4(float $rent4): self
    {
        $this->rent4 = $rent4;

        return $this;
    }

    public function getMortgage(): ?float
    {
        return $this->mortgage;
    }

    public function setMortgage(float $mortgage): self
    {
        $this->mortgage = $mortgage;

        return $this;
    }

    public function getColor(): ?string
    {
        return $this->color;
    }

    public function setColor(string $color): self
    {
        $this->color = $color;

        return $this;
    }

    public function getPlayer(): ?Player
    {
        return $this->player;
    }

    public function setPlayer(?Player $player): self
    {
        $this->player = $player;

        return $this;
    }

    public function getCases(): ?Cases
    {
        return $this->cases;
    }

    public function setCases(?Cases $cases): self
    {
        // unset the owning side of the relation if necessary
        if ($cases === null && $this->cases !== null) {
            $this->cases->setProperty(null);
        }

        // set the owning side of the relation if necessary
        if ($cases !== null && $cases->getProperty() !== $this) {
            $cases->setProperty($this);
        }

        $this->cases = $cases;

        return $this;
    }

    public function getRent5(): ?float
    {
        return $this->rent5;
    }

    public function setRent5(?float $rent5): self
    {
        $this->rent5 = $rent5;

        return $this;
    }

    public function getPriceHouse(): ?float
    {
        return $this->price_house;
    }

    public function setPriceHouse(float $price_house): self
    {
        $this->price_house = $price_house;

        return $this;
    }
}

src/Form/CasesType.php
<?php

namespace App\Form;

use App\Entity\Cases;
use App\Entity\Player;
use App\Entity\Property;
use App\Entity\Station;
use App\Entity\Type;
use Doctrine\ORM\EntityRepository;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\NumberType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class CasesType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('name', TextType::class, [
                'label'=>'Name',
                'attr' => [
                    'class' => 'form-control',
                    'placeholder' => 'Name'
                ]]
            )
            ->add('position', NumberType::class, [
                    'label'=>'Position',
                    'attr' => [
                    'class' => 'form-control',
                    'placeholder' => 'Position'
                ]]
            )
            ->add('type', EntityType::class,[
                'label'=>'Type',
                'class'=>Type::class,
                'attr' => [
                    'class' => 'form-control'
                ],

                'query_builder'=>function(EntityRepository $er) {
                    return $er->createQueryBuilder('t')
                        ->orderBy('t.description');
                },
                'choice_label'=>'description',
                'required'=>true,

            ])
            ->add('property', EntityType::class,[
                'label'=>'Property',
                'class'=>Property::class,
                'attr' => [
                    'class' => 'form-control'
                ],
                'query_builder'=>function(EntityRepository $er){
                    return $er->createQueryBuilder('p')
                        ->orderBy('p.id');
                },
                'choice_label'=> 'name',
                'required'=>false,

            ])
            ->add('price', NumberType::class,[
                'label'=>'Price',
                'attr' => [
                    'class' => 'form-control',
                    'placeholder' => 'Price'
                ],
                'required'=>false,
            ])
            ->add('station', EntityType::class,[
                'label'=>'Station',
                'class'=>Station::class,
                'attr' => [
                    'class' => 'form-control'
                ],
                'query_builder'=> function (EntityRepository $er){
                    return $er->createQueryBuilder('s')
                        ->orderBy('s.name', 'ASC');
                },
                'choice_label' => 'name',
                'required'=>false,
            ])
            ->add('players', EntityType::class,[
                'label'=>'Player',
                'class'=>Player::class,
                'attr' => [
                    'class' => 'form-control'
                ],
                'query_builder'=> function (EntityRepository $er){
                    return $er->createQueryBuilder('p')
                        ->orderBy('p.name', 'ASC');
                },
                'choice_label' => 'name',
                'required'=>false,
                'mapped'=>false,
            ])
            ->add('value',NumberType::class,[
                'label'=>'Value',
                'attr' => [
                    'class' => 'form-control',
                    'placeholder' => 'Value'
                ],
                'required'=>true,
            ] )
            ->add(
                'Save',SubmitType::class, [
                'label' => 'Create Case',
                'attr'=>[
                'class' => 'btn btn-success'
            ]])

        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Cases::class,
        ]);
    }
}

src/Controller/CasesController.php
<?php

namespace App\Controller;

use App\Entity\Cases;
use App\Entity\Luck;
use App\Entity\Player;
use App\Form\CasesType;
use App\Repository\CasesRepository;
use App\Repository\PlayerRepository;
use Doctrine\Persistence\ManagerRegistry;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\IsGranted;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route('/cases')]
class CasesController extends AbstractController
{
    #[Route('/', name: 'app_cases_index', methods: ['GET'])]
    public function index(CasesRepository $casesRepository): Response
    {
        return $this->render('cases/index.html.twig', [
            'cases' => $casesRepository->findAll(),
        ]);
    }

    #[Route('/new', name: 'app_cases_new', methods: ['GET', 'POST'])]
    #[IsGranted('ROLE_ADMIN')]
    public function new(Request $request, CasesRepository $casesRepository): Response
    {
        $case = new Cases();
        $form = $this->createForm(CasesType::class, $case);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $casesRepository->save($case, true);

            return $this->redirectToRoute('app_cases_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('cases/new.html.twig', [
            'case' => $case,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_cases_show', methods: ['GET'])]
    public function show(Cases $case): Response
    {
        return $this->render('cases/show.html.twig', [
            'case' => $case,
        ]);
    }

    #[Route('/{id}/edit', name: 'app_cases_edit', methods: ['GET', 'POST'])]
    #[IsGranted('ROLE_ADMIN')]
    public function edit(Request $request, Cases $case, CasesRepository $casesRepository): Response
    {
        $form = $this->createForm(CasesType::class, $case);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $casesRepository->save($case, true);

            return $this->redirectToRoute('app_cases_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('cases/edit.html.twig', [
            'case' => $case,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_cases_delete', methods: ['POST'])]
    #[IsGranted('ROLE_ADMIN')]
    public function delete(Request $request, Cases $case, CasesRepository $casesRepository): Response
    {
        if ($this->isCsrfTokenValid('delete'.$case->getId(), $request->request->get('_token'))) {
            $casesRepository->remove($case, true);
        }

        return $this->redirectToRoute('app_cases_index', [], Response::HTTP_SEE_OTHER);
    }
    #[Route('/buy/{case}/{player}', name: 'app_cases_buy', methods: ['post'])]
    public function buy(Request $request, Cases $case,Player $player,  CasesRepository $casesRepository, PlayerRepository $playerRepository): Response
    {


        $case->setOwner($player);
        if($case->getType()->getId()==3)$player->addStation($case->getStation());
        if($case->getType()->getId()==4)$player->addCard($case);
        $player->setMoney(($player->getMoney()) - ($case->getPrice()));
        $casesRepository->save($case, true);
        $playerRepository->save($player, true);


        return new Response('Acheté avec succès');
    }
    #[Route('/go-prison/{player}', name: 'app_cases_go_prison', methods: ['post'])]
    public function goPrison(Request $request,Player $player, CasesRepository $casesRepository, PlayerRepository $playerRepository ): Response
    {
        $player->setPrison(1);
        $player->setCases($casesRepository->findOneBy(["value"=>10]));
        $playerRepository->save($player,true);
        return new Response('En cellule de degrisement !');
    }
    #[Route('/mortgage/{player}', name: 'app_cases_mortgage')]
    public function mortgage(Request $request,Player $player, CasesRepository $casesRepository, PlayerRepository $playerRepository ): Response
    {
        $cases = $casesRepository->findBy(['owner'=>$player->getId()],["value"=>"ASC"]);
        return $this->render('cases/owner.html.twig',[
            'cases'=>$cases
        ]);
    }
    #[Route('/mortgage/{cases}/{price}', name: 'app_cases_mortgage_player')]
    public function mortgagePlayer(Request $request,Cases $cases, int $price,CasesRepository $casesRepository, PlayerRepository $playerRepository ): Response
    {
        $player = $cases->getOwner();
        $player->setMoney($player->getMoney()+$price);
        $cases->setOwner(null);
        if($cases->getProperty()){
            $cases->getProperty()->setHouse(0);
        }
        $playerRepository->save($player,true);
        $casesRepository->save($cases, true);
        return new Response($cases->getName().' bien vendu');
    }


    #[Route('/pay/{case}/{player}/{price}', name: 'app_cases_pay', methods: ['post'])]
    public function pay(Request $request, Cases $case,Player $player,int $price, PlayerRepository $playerRepository ): Response
    {

        if($case->getOwner()!=null){
            $owner = $case->getOwner();
            $owner->setMoney($owner->getMoney()+$price);
            $playerRepository->save($owner,true);
        }
        $player->setMoney(($player->getMoney()) - $price);

        $playerRepository->save($player, true);


        return new Response('Payé avec succès');
    }
    #[Route('/out-of-jail/{player}', name: 'app_out_of_jail', methods: ['post'])]
    public function outOfJail(Request $request,Player $player, PlayerRepository $playerRepository ): Response
    {
        $player->setPrison(0);
        $playerRepository->save($player, true);
        return new Response('sauvé');
    }
}

templates/cases/_delete_form.html.twig
<form method="post" action="{{ path('app_cases_delete', {'id': case.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ case.id) }}">
    <button class="btn btn-danger">Delete</button>
</form>

templates/cases/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
{{ form_end(form) }}

templates/cases/action.html.twig
<div class="actions">
    <button class="button-65" style="background-color: #6848a4" hx-get="{{ path('app_cases_mortgage', {player: player.id}) }}" hx-target="#card-content">Hypothéquer</button>
    {% if case.type.id==1 %}
        <button class="button-65" id="btn-required" onclick="hide(this)" style="background-color: yellow" hx-get="{{ path('app_luck_random',{player: player.id}) }}" hx-target="#depart-content">Tirer une carte</button>
    {% elseif case.type.id== 2 %}
        <button class="button-65" id="btn-required" onclick="hide(this)" style="background-color: cornflowerblue" hx-get="{{ path('app_luck_random',{player: player.id}) }}"  hx-target="#depart-content">Tirer une carte</button>

    {% elseif case.type.id== 3 %}
        {# gare #}
        {% if case.owner == null %}
            <div id="content-btn-buy">
                <button class="button-65" id="btn-buy" onclick="hide(this)" style="background-color: blue"
                        hx-post="{{ path('app_cases_buy',{case: case.id, player: player.id}) }}">
                    Acheter ({{ case.price }}€)
                </button>
            </div>
        {% else %}
            {% if case.owner != player and case.owner.prison ==0 %}
                <button class="button-65" id="btn-required" onclick="hide(this)" style="background-color: red;"
                        hx-post="{{ path('app_cases_pay',{case: case.id, player: player.id,price:getRent(case)}) }}">
                    Payer ({{ getRent(case) }}€)
                </button>
            {% endif %}
        {% endif %}

    {% elseif case.type.id== 4 %}
        {# propriete #}
        {% if case.owner == null %}
            <div id="content-btn-buy">
                <button class="button-65" id="btn-buy" onclick="hide(this)" style="background-color: blue"
                        hx-post="{{ path('app_cases_buy',{case: case.id, player: player.id}) }}">
                    Acheter({{ case.price }}€)
                </button>
            </div>
        {% elseif case.owner != player and  case.owner.prison ==0 %}

            <button class="button-65 " id="btn-required" onclick="hide(this)" style="background-color: red;"
                    hx-post="{{ path('app_cases_pay',{case: case.id, player: player.id,price:getRent(case)}) }}">
                Payer ({{ getRent(case)}}€)
            </button>

        {% elseif case.owner == player and  case.property.house <5 %}
            <button class="button-65" id="btn-add-house" onclick="hide(this)" style="background-color: green;"
                    hx-post="{{ path('app_property_add_house',{cases: case.id}) }}">
                {% if case.property.house == 4 %}
                    Ajouter un hotel ({{ case.property.priceHouse }}€)
                {% else %}
                    Ajouter une maison ({{ case.property.priceHouse }}€)
                {% endif %}
            </button>
        {% endif %}

    {% elseif case.type.id== 5 %}
    {% elseif case.type.id== 6 %}
        {% if player.prison != 0 %}
            <button class="button-65" id="btn-pay" onclick="hide(this)" style="background-color: red;"
                    hx-post="{{ path('app_out_of_jail',{player: player.id}) }}">Payer 1 shot pour sortir
            </button>
        {% endif %}
    {% elseif case.type.id== 7 %}
    {% elseif case.type.id== 8 %}
        {% if case.price!=null %}
            <button class="button-65" id="btn-required" onclick="hide(this)" style="background-color: red;"
                    hx-post="{{ path('app_cases_pay',{case: case.id, player: player.id, price:case.price}) }}">Payer
                ({{ case.price }}€)
            </button>

        {% endif %}
    {% elseif case.type.id== 9 %}
        <button class="button-65 " id="btn-required" onclick="hide(this)" style="background-color: saddlebrown;"
                hx-post="{{ path('app_cases_go_prison',{player: player.id}) }}">
            Aller en dégrisement
        </button>
    {% endif %}
    <button class="button-65" id="close" style="background-color: black " >Finir le tour</button>

</div>
<script>




</script>

templates/cases/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit Cases{% endblock %}

{% block body %}
    <div class="container">
    <h1>Edit Cases</h1>

    {{ include('cases/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('app_cases_index') }}">back to list</a>
    {{ include('cases/_delete_form.html.twig') }}
    </div>
{% endblock %}

templates/cases/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Cases index{% endblock %}

{% block body %}
    <div class="container">
    <h1>Cases index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Position</th>
                <th>Type</th>
                <th>Property</th>
                <th>Station</th>
                <th>Price</th>
                <th>Value</th>
                <th>Players</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for case in cases %}
            <tr>
                <td>{{ case.id }}</td>
                <td>{{ case.name }}</td>
                <td>{{ case.position }}</td>
                <td>{{ case.type.description }}</td>
                <td>
                {% if case.property.name is defined %}
                    {{ case.property.name }}
                {% endif %}
                </td>
                <td>
                    {% if case.station.name is defined %}
                        {{ case.station.name }}
                    {% endif %}
                </td>
                <td>{{ case.price }}</td>
                <td>{{ case.value }}</td>
                <td>{% if case.players!=null %}
                        {% for player in case.players %}
                            {{ player.name~" " }}
                        {% endfor %}
                    {% endif %}
                </td>
                <td>
                    <a href="{{ path('app_cases_show', {'id': case.id}) }}">show</a>
                    <a href="{{ path('app_cases_edit', {'id': case.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_cases_new') }}">Create new</a>
    </div>
{% endblock %}

templates/cases/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New Cases{% endblock %}

{% block body %}
    <div class="container">
        <h1 class="row justify-content-center">Create new Cases</h1>

        {{ include('cases/_form.html.twig') }}
    </div>
{% endblock %}

templates/cases/owner.html.twig
{% for case in cases %}
    {% if case.type.id == 3 %}
        {% set price = case.station.mortgage %}

    {% elseif case.type.id==4 %}
        {% set price = case.property.mortgage %}
    {% endif %}


    <div style="display: flex; justify-content: space-between; margin-top: 10px">
        <div>
            <h2>{{ case.name }}</h2>
        </div>
        <div>
            <button class="button-65" hx-post="{{ path('app_cases_mortgage_player',{cases: case.id, price: price}) }}" hx-target="#resp" style="background-color: #6848a4">Vendre ({{ price }} €)
            </button>
        </div>
    </div>
    <div id="resp"></div>
{% endfor %}

templates/cases/show.html.twig
{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('assets/styles/global.css') }}">
{% endblock %}
{% block body %}


    <div id="case-show">
        {% if case.type != null and case.type.id == 5 or case.type.id == 6 or case.type.id == 7 or case.type.id == 9 %}
            {# si la case est un coin  #}

            {% if case.type.id == 5 %}
                {# Casse départ #}
                <div class="case-content">
                    <p id="depart">{{case.name}}</p>
                    <div id="i-content"><i id="iconCase" class="fa-solid fa-flag-checkered"></i></div>
                    <p id="depart-content">Vous repassez par la case départ Voici vos 400€</p>
                </div>
                <div class="alcool">
                    <p>400€ = 4 gorgées</p>
                </div>
            {% elseif case.type.id == 6 %}
                {# case visite simple/cellule de degrisement #}
                <div class="case-content">
                    <p id="visit">{{case.name}}</p>
                    <div id="i-content"><i id="iconCase" class="fa-solid fa-person-running"></i></div>
                    <p id="visit-content">Vous visitez la cellule de dégrisement</p>
                </div>

                <div class="alcool">
                    {% set visiteSimple = false %}

                    {% for player in case.players %}
                        {% if player.prison==0 %}
                            {% set visiteSimple = true %}
                        {% endif %}
                    {% endfor %}


                    {% if visiteSimple %}
                        {% for player in case.players %}
                            {% if player.prison!=0 %}
                                <p>{{ player.name }} doit boire 3 gorgées</p>
                            {% endif %}
                        {% endfor %}
                    {%endif%}

                </div>
            {% elseif case.type.id == 7 %}
                {# coin happy hour #}
                <div class="case-content">
                    <p id="depart">{{case.name}}</p>
                    <div id="i-content"><i id="iconCase" class="drawing fa-solid fa-beer-mug-empty"></i></div>
                    <p id="depart-content">Vous êtes en plein HAPPY HOUR GO GO GO !!!!!</p>
                </div>
                <div class="alcool">
                    <p>3 gorgées chacun à la santé des créateurs</p>
                </div>

            {% elseif case.type.id == 9 %}
                {# coin aller en cellule de degrisement #}
                <div class="case-content">
                    <p id="ivre">{{case.name}}</p>
                    <div id="i-content"><i id="iconCase" class="drawing fa-solid fa-beer-mug-empty"></i></div>
                    <p id="ivre-content">TG et va dessoûler</p>
                </div>
            {% endif %}
        {% elseif case.type.id == 8 %}
            {# impot #}
            <div class="case-content">
                <p id="ivre">{{case.name}}</p>
                <div id="i-content"><i id="iconCase" class="fa-solid fa-skull-crossbones"></i></div>
                {% if case.price %}
                    <p id="ivre-content">Paye {{case.price}}$</p>
                {% endif %}
            </div>
            <div class="alcool">
                <p>Un shot en plus pour toi</p>
            </div>
        {% elseif case.type.id == 3 %}
            {# gare #}
            <div class="case-header">
                <h1>{{case.name}}</h1>
            </div>
            <div class="case-content">
                <div class="prices">
                    <p class="price-title">Loyer</p>
                    <p class="price-content">{{case.station.rent1}} $</p>
                </div>
                <div class="prices">
                    <p class="price-title">Si vous avez 2 bars</p>
                    <p class="price-content">{{case.station.rent2}} $</p>
                </div>
                <div class="prices">
                    <p class="price-title">Si vous avez 3 bars</p>
                    <p class="price-content">{{case.station.rent3}} $</p>
                </div>
                <div class="prices">
                    <p class="price-title">Si vous avez 4 bars</p>
                    <p class="price-content">{{case.station.rent4}} $</p>
                </div>
            </div>
            <div class="case-footer">
                <div class="prices">
                    <p class="price-title">Prix de l'Hyothéque</p>
                    <p class="price-content">{{case.station.mortgage}} $</p>
                </div>
            </div>
            {% for player in case.players %}
            {% if player.turn %}
                {% if case.owner != player%}
                    <div class="alcool">
                        <p>Vous devez boire {{ getNbHouse(case) }} gorgées</p>
                    </div>
                {% endif %}
            {% endif %}
            {% endfor %}

        {% elseif case.type.id == 1 or case.type.id == 2 %}
            {# chance #}
            <div class="case-content">
                <p id="depart">{{case.name}}</p>
                {% if case.type.id == 1 %}
                    <div id="i-content"><i id="iconCase"  class="fa-solid fa-question"></i></div>
                {% else %}

                    <div id="i-content"><i id="iconCase" class="fa-solid fa-toolbox"></i></div>
                {% endif %}
                <p id="depart-content" >{{case.type.description}}</p>
            </div>
        {% else %}
            <div class="case-header" style="background-color: {{case.property.color}}">
                {% if case.owner!=null %} <p >Chez {{ case.owner.name }}</p>{% endif %}
                <h1>{{case.name}}</h1>
            </div>
            <div class="case-content">
                <div class="prices">
                    <p class="price-title">Loyer</p>
                    <p class="price-content">{{case.property.rent}} $</p>
                </div>
                <div class="prices">
                    <p class="price-title">Avec 20°</p>
                    <p class="price-content">{{case.property.rent1}} $</p>
                </div>
                <div class="prices">
                    <p class="price-title">Avec 40°</p>
                    <p class="price-content">{{case.property.rent2}} $</p>
                </div>
                <div class="prices">
                    <p class="price-title">Avec 60°</p>
                    <p class="price-content">{{case.property.rent3}} $</p>
                </div>
                <div class="prices">
                    <p class="price-title">Avec 80°</p>
                    <p class="price-content">{{case.property.rent4}} $</p>
                </div>
                <div class="prices">
                    <p class="price-title">Avec 100°</p>
                    <p class="price-content">{{case.property.rent5}} $</p>
                </div>
            </div>
            <div class="case-footer">
                <div class="prices">
                    <p class="price-title">Prix des 20° en plus</p>
                    <p class="price-content">{{case.property.priceHouse}} $</p>
                </div>
                <div class="prices">
                    <p class="price-title">Prix des 100°</p>
                    <p class="price-content">{{case.property.priceHouse}} $ (plus 4 maisons)</p>
                </div>
                <div class="prices">
                    <p class="price-title">Prix de l'Hyothéque</p>
                    <p class="price-content">{{case.property.mortgage}} $</p>
                </div>
            </div>
            <div class="alcool">
                <p>Vous devez boire {{ getNbHouse(case) }} gorgées</p>
            </div>
        {% endif %}
    </div>
{% endblock %}